package com.mortals.xhx.module.question.model;

import java.util.List;
import com.mortals.xhx.module.question.model.QuestionRecordEntity;
/**
* 问答记录信息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class QuestionRecordQuery extends QuestionRecordEntity {
    /** 开始 记录ID，主键，自增长 */
    private Long idStart;

    /** 结束 记录ID，主键，自增长 */
    private Long idEnd;

    /** 增加 记录ID，主键，自增长 */
    private Long idIncrement;

    /** 记录ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 用户ID，主键，自增长 */
    private Long questionIdStart;

    /** 结束 用户ID，主键，自增长 */
    private Long questionIdEnd;

    /** 增加 用户ID，主键，自增长 */
    private Long questionIdIncrement;

    /** 用户ID，主键，自增长列表 */
    private List <Long> questionIdList;

    /** 开始 记录类型1提问2答复 */
    private Integer recordTypeStart;

    /** 结束 记录类型1提问2答复 */
    private Integer recordTypeEnd;

    /** 增加 记录类型1提问2答复 */
    private Integer recordTypeIncrement;

    /** 记录类型1提问2答复列表 */
    private List <Integer> recordTypeList;

    /** 内容 */
    private List<String> contentList;

    /** 开始 提交时间 */
    private String createTimeStart;

    /** 结束 提交时间 */
    private String createTimeEnd;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QuestionRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QuestionRecordQuery> andConditionList;

    public QuestionRecordQuery(){}

    /**
    * 获取 开始 记录ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 记录ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 记录ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 记录ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 记录ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 记录ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 记录ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 记录ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 用户ID，主键，自增长
    * @return questionIdStart
    */
    public Long getQuestionIdStart(){
        return this.questionIdStart;
    }

    /**
    * 设置 开始 用户ID，主键，自增长
    * @param questionIdStart
    */
    public void setQuestionIdStart(Long questionIdStart){
        this.questionIdStart = questionIdStart;
    }

    /**
    * 获取 结束 用户ID，主键，自增长
    * @return $questionIdEnd
    */
    public Long getQuestionIdEnd(){
        return this.questionIdEnd;
    }

    /**
    * 设置 结束 用户ID，主键，自增长
    * @param questionIdEnd
    */
    public void setQuestionIdEnd(Long questionIdEnd){
        this.questionIdEnd = questionIdEnd;
    }

    /**
    * 获取 增加 用户ID，主键，自增长
    * @return questionIdIncrement
    */
    public Long getQuestionIdIncrement(){
        return this.questionIdIncrement;
    }

    /**
    * 设置 增加 用户ID，主键，自增长
    * @param questionIdIncrement
    */
    public void setQuestionIdIncrement(Long questionIdIncrement){
        this.questionIdIncrement = questionIdIncrement;
    }

    /**
    * 获取 用户ID，主键，自增长
    * @return questionIdList
    */
    public List<Long> getQuestionIdList(){
        return this.questionIdList;
    }

    /**
    * 设置 用户ID，主键，自增长
    * @param questionIdList
    */
    public void setQuestionIdList(List<Long> questionIdList){
        this.questionIdList = questionIdList;
    }

    /**
    * 获取 开始 记录类型1提问2答复
    * @return recordTypeStart
    */
    public Integer getRecordTypeStart(){
        return this.recordTypeStart;
    }

    /**
    * 设置 开始 记录类型1提问2答复
    * @param recordTypeStart
    */
    public void setRecordTypeStart(Integer recordTypeStart){
        this.recordTypeStart = recordTypeStart;
    }

    /**
    * 获取 结束 记录类型1提问2答复
    * @return $recordTypeEnd
    */
    public Integer getRecordTypeEnd(){
        return this.recordTypeEnd;
    }

    /**
    * 设置 结束 记录类型1提问2答复
    * @param recordTypeEnd
    */
    public void setRecordTypeEnd(Integer recordTypeEnd){
        this.recordTypeEnd = recordTypeEnd;
    }

    /**
    * 获取 增加 记录类型1提问2答复
    * @return recordTypeIncrement
    */
    public Integer getRecordTypeIncrement(){
        return this.recordTypeIncrement;
    }

    /**
    * 设置 增加 记录类型1提问2答复
    * @param recordTypeIncrement
    */
    public void setRecordTypeIncrement(Integer recordTypeIncrement){
        this.recordTypeIncrement = recordTypeIncrement;
    }

    /**
    * 获取 记录类型1提问2答复
    * @return recordTypeList
    */
    public List<Integer> getRecordTypeList(){
        return this.recordTypeList;
    }

    /**
    * 设置 记录类型1提问2答复
    * @param recordTypeList
    */
    public void setRecordTypeList(List<Integer> recordTypeList){
        this.recordTypeList = recordTypeList;
    }

    /**
    * 获取 内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 提交时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 提交时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 提交时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 提交时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 设置  记录ID，主键，自增长
    * @param id
    */
    public QuestionRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 记录ID，主键，自增长
    * @param idStart
    */
    public QuestionRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 记录ID，主键，自增长
    * @param idEnd
    */
    public QuestionRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 记录ID，主键，自增长
    * @param idIncrement
    */
    public QuestionRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 记录ID，主键，自增长
    * @param idList
    */
    public QuestionRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  用户ID，主键，自增长
    * @param questionId
    */
    public QuestionRecordQuery questionId(Long questionId){
	    setQuestionId(questionId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID，主键，自增长
    * @param questionIdStart
    */
    public QuestionRecordQuery questionIdStart(Long questionIdStart){
		this.questionIdStart = questionIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID，主键，自增长
    * @param questionIdEnd
    */
    public QuestionRecordQuery questionIdEnd(Long questionIdEnd){
		this.questionIdEnd = questionIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID，主键，自增长
    * @param questionIdIncrement
    */
    public QuestionRecordQuery questionIdIncrement(Long questionIdIncrement){
		this.questionIdIncrement = questionIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID，主键，自增长
    * @param questionIdList
    */
    public QuestionRecordQuery questionIdList(List<Long> questionIdList){
        this.questionIdList = questionIdList;
		return this;
        }

    /**
    * 设置  记录类型1提问2答复
    * @param recordType
    */
    public QuestionRecordQuery recordType(Integer recordType){
	    setRecordType(recordType);
		return this;
    }
	
	 /**
    * 设置 开始 记录类型1提问2答复
    * @param recordTypeStart
    */
    public QuestionRecordQuery recordTypeStart(Integer recordTypeStart){
		this.recordTypeStart = recordTypeStart;
		return this;
    }

    /**
    * 设置 结束 记录类型1提问2答复
    * @param recordTypeEnd
    */
    public QuestionRecordQuery recordTypeEnd(Integer recordTypeEnd){
		this.recordTypeEnd = recordTypeEnd;
		return this;
    }

    /**
    * 设置 增加 记录类型1提问2答复
    * @param recordTypeIncrement
    */
    public QuestionRecordQuery recordTypeIncrement(Integer recordTypeIncrement){
		this.recordTypeIncrement = recordTypeIncrement;
		return this;
    }

    /**
    * 设置 记录类型1提问2答复
    * @param recordTypeList
    */
    public QuestionRecordQuery recordTypeList(List<Integer> recordTypeList){
        this.recordTypeList = recordTypeList;
		return this;
        }


	/**
    * 设置 内容
    * @param content
    */
    public QuestionRecordQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public QuestionRecordQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }



	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public QuestionRecordQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public QuestionRecordQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QuestionRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QuestionRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QuestionRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QuestionRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}